GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/amd64-nat.c File Reference
`#include "defs.h"`
`#include "gdbarch.h"`
`#include "regcache.h"`
`#include "i386-tdep.h"`
`#include "amd64-tdep.h"`
`#include "amd64-nat.h"`

Go to the source code of this file.

## Functions
static int | amd64_native_gregset_reg_offset (struct gdbarch *gdbarch, int regnum)
int | amd64_native_gregset_supplies_p (struct gdbarch *gdbarch, int regnum)
void | amd64_supply_native_gregset (struct regcache *regcache, const void *gregs, int regnum)
void | amd64_collect_native_gregset (const struct regcache *regcache, void *gregs, int regnum)

## Variables
int * | amd64_native_gregset32_reg_offset
int | amd64_native_gregset32_num_regs = I386_NUM_GREGS
int * | amd64_native_gregset64_reg_offset
int | amd64_native_gregset64_num_regs = AMD64_NUM_GREGS

## Function Documentation

## ◆ amd64_collect_native_gregset()

void amd64_collect_native_gregset | ( | const struct regcache * | regcache,
|  | void * | gregs,
|  | int | regnum
| ) |  |

Definition at line 126 of file amd64-nat.c.

References amd64_native_gregset32_num_regs, amd64_native_gregset64_num_regs, amd64_native_gregset_reg_offset(), regcache::arch(), gdbarch_bfd_arch_info(), gdbarch_num_regs(), I386_CS_REGNUM, I386_EIP_REGNUM, I386_GS_REGNUM, memset(), gdbarch::num_regs, offset, regcache_raw_collect(), and regnum.

Referenced by amd64_linux_store_inferior_registers(), amd64bsd_store_inferior_registers(), fill_gregset(), and i386_darwin_store_inferior_registers().

## ◆ amd64_native_gregset_reg_offset()

static int amd64_native_gregset_reg_offset | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |
| static

Definition at line 52 of file amd64-nat.c.

References AMD64_FSBASE_REGNUM, AMD64_GSBASE_REGNUM, amd64_native_gregset32_num_regs, amd64_native_gregset32_reg_offset, amd64_native_gregset64_num_regs, amd64_native_gregset64_reg_offset, gdb_assert, gdbarch_bfd_arch_info(), gdbarch_num_regs(), reg_offset, and regnum.

Referenced by amd64_collect_native_gregset(), amd64_native_gregset_supplies_p(), and amd64_supply_native_gregset().

## ◆ amd64_native_gregset_supplies_p()

int amd64_native_gregset_supplies_p | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |

Definition at line 85 of file amd64-nat.c.

References amd64_native_gregset_reg_offset(), and regnum.

Referenced by amd64_linux_fetch_inferior_registers(), amd64_linux_store_inferior_registers(), amd64bsd_fetch_inferior_registers(), amd64bsd_store_inferior_registers(), i386_darwin_fetch_inferior_registers(), and i386_darwin_store_inferior_registers().

## ◆ amd64_supply_native_gregset()

void amd64_supply_native_gregset | ( | struct regcache * | regcache,
|  | const void * | gregs,
|  | int | regnum
| ) |  |

Definition at line 95 of file amd64-nat.c.

References amd64_native_gregset32_num_regs, amd64_native_gregset64_num_regs, amd64_native_gregset_reg_offset(), regcache::arch(), gdbarch_bfd_arch_info(), gdbarch_num_regs(), gdbarch::num_regs, offset, regcache_raw_supply(), and regnum.

Referenced by amd64_linux_fetch_inferior_registers(), amd64bsd_fetch_inferior_registers(), i386_darwin_fetch_inferior_registers(), and supply_gregset().

## Variable Documentation

## ◆ amd64_native_gregset32_num_regs

int amd64_native_gregset32_num_regs = I386_NUM_GREGS

Definition at line 42 of file amd64-nat.c.

Referenced by _initialize_amd64_linux_nat(), _initialize_amd64_sol2_nat(), _initialize_amd64nbsd_nat(), _initialize_amd64obsd_nat(), amd64_collect_native_gregset(), amd64_native_gregset_reg_offset(), amd64_supply_native_gregset(), and darwin_complete_target().

## ◆ amd64_native_gregset32_reg_offset

int* amd64_native_gregset32_reg_offset

Definition at line 41 of file amd64-nat.c.

Referenced by _initialize_amd64_linux_nat(), _initialize_amd64_sol2_nat(), _initialize_amd64fbsd_nat(), _initialize_amd64nbsd_nat(), _initialize_amd64obsd_nat(), amd64_native_gregset_reg_offset(), and darwin_complete_target().

## ◆ amd64_native_gregset64_num_regs

int amd64_native_gregset64_num_regs = AMD64_NUM_GREGS

Definition at line 46 of file amd64-nat.c.

Referenced by _initialize_amd64_linux_nat(), _initialize_amd64_sol2_nat(), amd64_collect_native_gregset(), amd64_native_gregset_reg_offset(), amd64_supply_native_gregset(), and darwin_complete_target().

## ◆ amd64_native_gregset64_reg_offset

int* amd64_native_gregset64_reg_offset

Definition at line 45 of file amd64-nat.c.

Referenced by _initialize_amd64_linux_nat(), _initialize_amd64_sol2_nat(), _initialize_amd64fbsd_nat(), _initialize_amd64nbsd_nat(), _initialize_amd64obsd_nat(), amd64_native_gregset_reg_offset(), and darwin_complete_target().